Skip to content

searchResults

API under active development

Introspection may show fields or types that this reference does not document. Use this documentation to identify officially supported fields and types.

QUERYsearchResults

Search GraphQL API · Queries

Reads results from a completed search or search partition.

Arguments

Argument Type Description
urn URN! The URN of a completed search or search partition.
cursor String A page token returned by searchResults. Omit it for the first page.
limit Int The maximum number of result rows to return in this page.

Returns

SearchResultPage!

Request samples

curl -X POST "https://api.taegis.sophos.com/graphql" -H "Authorization: Bearer <access-token>" -H "X-Tenant-ID: <tenant-id>" -H "Content-Type: application/json" -d "{
  \"query\": \"query SearchResults(\$urn: URN!) { searchResults(urn: \$urn) { fields { name baseType logicalType enumValues originSchemaTypes } values nextCursor previousCursor hostnameMappings { hostname hostIds } } }\",
  \"variables\": {
    \"urn\": \"<urn>\"
  }
}"

import requests

response = requests.post(
    "https://api.taegis.sophos.com/graphql",
    headers={
        "Authorization": "Bearer <access-token>",
        "X-Tenant-ID": "<tenant-id>",
        "Content-Type": "application/json",
    },
    json={   'query': 'query SearchResults($urn: URN!) { searchResults(urn: $urn) { '
             'fields { name baseType logicalType enumValues originSchemaTypes '
             '} values nextCursor previousCursor hostnameMappings { hostname '
             'hostIds } } }',
    'variables': {'urn': '<urn>'}},
)
print(response.json())

$headers = @{
    "Authorization" = "Bearer <access-token>"
    "X-Tenant-ID" = "<tenant-id>"
    "Content-Type" = "application/json"
}
$body = '{
  "query": "query SearchResults($urn: URN!) { searchResults(urn: $urn) { fields { name baseType logicalType enumValues originSchemaTypes } values nextCursor previousCursor hostnameMappings { hostname hostIds } } }",
  "variables": {
    "urn": "<urn>"
  }
}'
Invoke-RestMethod -Method POST -Uri "https://api.taegis.sophos.com/graphql" -Headers $headers -Body $body -ContentType "application/json"

package main

import (
    "fmt"
    "io"
    "net/http"
    "strings"
)

func main() {
    req, err := http.NewRequest("POST", "https://api.taegis.sophos.com/graphql", strings.NewReader(`{
  "query": "query SearchResults($urn: URN!) { searchResults(urn: $urn) { fields { name baseType logicalType enumValues originSchemaTypes } values nextCursor previousCursor hostnameMappings { hostname hostIds } } }",
  "variables": {
    "urn": "<urn>"
  }
}`))
    if err != nil {
        panic(err)
    }
    req.Header.Set("Authorization", "Bearer <access-token>")
    req.Header.Set("X-Tenant-ID", "<tenant-id>")
    req.Header.Set("Content-Type", "application/json")

    resp, err := http.DefaultClient.Do(req)
    if err != nil {
        panic(err)
    }
    defer resp.Body.Close()

    body, _ := io.ReadAll(resp.Body)
    fmt.Println(string(body))
}

const response = await fetch("https://api.taegis.sophos.com/graphql", {
  method: "POST",
  headers: {
    "Authorization": "Bearer <access-token>",
    "X-Tenant-ID": "<tenant-id>",
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
  "query": "query SearchResults($urn: URN!) { searchResults(urn: $urn) { fields { name baseType logicalType enumValues originSchemaTypes } values nextCursor previousCursor hostnameMappings { hostname hostIds } } }",
  "variables": {
    "urn": "<urn>"
  }
}),
});
const data = await response.json();
console.log(data);